Bug 181539 - failed assertion in rg_thread.c
failed assertion in rg_thread.c
Status: CLOSED ERRATA
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: rgmanager (Show other bugs)
4
All Linux
medium Severity high
: ---
: ---
Assigned To: Lon Hohberger
Cluster QE
:
Depends On:
Blocks: 180185
  Show dependency treegraph
 
Reported: 2006-02-14 16:20 EST by Lon Hohberger
Modified: 2009-04-16 16:19 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2006-0557
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 17:21:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Retry in case that currently causes assertion failure (1.52 KB, patch)
2006-02-14 16:20 EST, Lon Hohberger
no flags Details | Diff

  None (edit)
Description Lon Hohberger 2006-02-14 16:20:40 EST
Description of problem:

In a special case with many threads starting/stopping and many requests being
queued at the same time, the code which spawns/waits for a resource group
incorrectly expects the thread it was waiting to start to still be around when
it looked for it.  In some cases, the operation may have completed - thus
causing the thread to exit - thereby creating an assertion failure.

How reproducible: Difficult; only happened once
Steps to Reproduce: Unknown
Actual results: Rgmanager crashes
Expected results: Retry
Additional info: Easy to fix
Comment 1 Lon Hohberger 2006-02-14 16:20:40 EST
Created attachment 124640 [details]
Retry in case that currently causes assertion failure
Comment 4 Red Hat Bugzilla 2006-08-10 17:21:12 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0557.html

Note You need to log in before you can comment on or make changes to this bug.